import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { PpMobileWhiteLot } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-11 16:55
 */
interface PpMobileWhiteLotCU extends ConditionUtil<PpMobileWhiteLotCU>{
    LOT_ID:FieldUtil<PpMobileWhiteLotCU>;
    CREATE_TIME:FieldUtil<PpMobileWhiteLotCU>;
}

class PpMobileWhiteLotCUImpl extends ConditionUtilImpl<PpMobileWhiteLotCUImpl> implements PpMobileWhiteLotCU{ 
    newInstance(): PpMobileWhiteLotCUImpl {
        return new PpMobileWhiteLotCUImpl();
    } 
    get LOT_ID(): FieldUtil<PpMobileWhiteLotCU>{  
        return new FieldUtil('LOT_ID','lotId','车场ID', this);
    }
    get CREATE_TIME(): FieldUtil<PpMobileWhiteLotCU>{  
        return new FieldUtil('CREATE_TIME','createTime','创建时间', this);
    }
}

@Singleton 
class PpMobileWhiteLotMU extends TableUtilImpl<PpMobileWhiteLotCU,PpMobileWhiteLot>{ 
    tableName  = 'pp_mobile_white_lot';
    tableFields  = ['LOT_ID','CREATE_TIME'];
    modelFields  = ['lotId','createTime'];
    modelIdFields  = ['lotId'];
    tableIdFields  = ['LOT_ID'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): PpMobileWhiteLotCU {
        return new PpMobileWhiteLotCUImpl();
    }   

    static get LOT_ID(): FieldUtil<PpMobileWhiteLotCU>{ 
        return new FieldUtil('LOT_ID','lotId','车场ID', new PpMobileWhiteLotCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<PpMobileWhiteLotCU>{ 
        return new FieldUtil('CREATE_TIME','createTime','创建时间', new PpMobileWhiteLotCUImpl());
    }

    get LOT_ID(): FieldUtil<PpMobileWhiteLotCU>{ 
        return PpMobileWhiteLotMU.LOT_ID;
    }
    get CREATE_TIME(): FieldUtil<PpMobileWhiteLotCU>{ 
        return PpMobileWhiteLotMU.CREATE_TIME;
    }
}
export {PpMobileWhiteLotMU, PpMobileWhiteLotCU}
